import 'package:jeweled/utils/tools.dart';

class DefaultGlobalSettings {
  // available global parameters codes
  static const String parameterCodeColorsTheme = 'colorsTheme';
  static const String parameterCodeGraphicsTheme = 'graphicTheme';
  static const List<String> availableParameters = [
    parameterCodeColorsTheme,
    parameterCodeGraphicsTheme,
  ];

  static const String colorThemeGothicBit = 'gothic-bit';
  static const String colorThemeSweethope = 'sweethope';
  static const String colorThemeNostalgicDreams = 'nostalgic-dreams';
  static const String colorThemeArjibi8 = 'arjibi8';
  static const String defaultColorsThemeValue = colorThemeSweethope;
  static const List<String> allowedColorsThemeValues = [
    colorThemeGothicBit,
    colorThemeSweethope,
    colorThemeNostalgicDreams,
    colorThemeArjibi8,
  ];

  static const String graphicThemeSolidBackground = 'SolidBackground';
  static const String graphicThemeGradientAndBorder = 'GradientAndBorder';
  static const String graphicThemeEmojis = 'Emojis';
  static const String graphicThemePatterns = 'Patterns';
  static const List<String> allowedGraphicThemeValues = [
    graphicThemeSolidBackground,
    graphicThemeGradientAndBorder,
    graphicThemeEmojis,
    graphicThemePatterns,
  ];

  static const String defaultGraphicThemeValue = graphicThemeSolidBackground;

  static const List<String> graphicThemeContentEmojiStrings = [
    '🍏',
    '🤍',
    '🦋',
    '🐞',
    '⭐',
    '🍄',
    '🍒',
    '🐤',
  ];
  static const List<String> graphicThemeContentPatternStrings = [
    '✖',
    '✚',
    '▲',
    '■',
    '●',
    '◆',
    '━',
    '⧧',
  ];

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeColorsTheme:
        return DefaultGlobalSettings.allowedColorsThemeValues;
      case parameterCodeGraphicsTheme:
        return DefaultGlobalSettings.allowedGraphicThemeValues;
    }

    printlog('Did not find any available value for global parameter "$parameterCode".');
    return [];
  }
}
