import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:jeweled/cubit/game_cubit.dart';
import 'package:jeweled/ui/helpers/styled_button.dart';

class QuitGameButton extends StatelessWidget {
  const QuitGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return StyledButton(
      color: Colors.red,
      onPressed: () {
        BlocProvider.of<GameCubit>(context).quitGame();
      },
      child: const Image(
        image: AssetImage('assets/ui/button_back.png'),
        fit: BoxFit.fill,
      ),
    );
  }
}
