import 'package:flutter/material.dart';

import 'package:jeweled/models/game/game.dart';
import 'package:jeweled/ui/helpers/outlined_text_widget.dart';
import 'package:jeweled/utils/color_extensions.dart';

class MovesCountsIndicator extends StatelessWidget {
  const MovesCountsIndicator({super.key, required this.game});

  final Game game;

  @override
  Widget build(BuildContext context) {
    const Color baseColor = Color.fromARGB(255, 215, 1, 133);
    final Color outlineColor = baseColor.darken();

    return OutlinedText(
      text: game.movesCount.toString(),
      fontSize: 40,
      textColor: baseColor,
      outlineColor: outlineColor,
    );
  }
}
