import 'package:flutter/material.dart';

import 'package:jeweled/models/game/game.dart';
import 'package:jeweled/ui/helpers/outlined_text_widget.dart';
import 'package:jeweled/utils/color_extensions.dart';

class ScoreIndicator extends StatelessWidget {
  const ScoreIndicator({super.key, required this.game});

  final Game game;

  @override
  Widget build(BuildContext context) {
    const Color baseColor = Color.fromARGB(255, 218, 218, 218);
    final Color outlineColor = baseColor.darken();

    return OutlinedText(
      text: game.score.toString(),
      fontSize: 70,
      textColor: baseColor,
      outlineColor: outlineColor,
    );
  }
}
